Bug 1871742 - It is not possible to delete a PVC created using a data upload
Summary: It is not possible to delete a PVC created using a data upload
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 07:38 UTC by Tomas Jelinek
Modified: 2020-09-04 09:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6407 None open Bug 1871742: can't delete a PVC created using a data upload 2020-08-31 06:26:03 UTC

Description Tomas Jelinek 2020-08-24 07:38:35 UTC
Description of problem:
It is not possible to delete a PVC created using a data upload. It will reappear again.

Actual results:
Upload something into a PVC. Try to delete it. It will re-appear.

Expected results:
It will actually be deleted (e.g. the datavolume behind it should be deleted)

Additional info:

Comment 1 Tomas Jelinek 2020-08-24 09:02:15 UTC
@Matt: we have couple of options here:
1: the delete PVC would detect that this PVC is backed by a datavolume and would delete the datavolume instead (e.g. it would be for the user a seamless experience, he wants to delete a PVC and it gets deleted nvm how)
2: the delete PVC would warn the user that this is backed by a datavolume and deleting it means it will get re-created again (I dont think this is any useful though...)
3: letting the user know that this PVC is backed by a datavolume so the datavolume will be deleted instead and than delete the datavolume (e.g. similar to the first one but letting the user know what is actually going on)


@Matt: wdyt?

Comment 4 Matt 2020-09-02 02:34:46 UTC
I think option 3 is best. It would be good to inform the user the PVC and it’s backing data volume will be deleted.

Comment 5 Guohua Ouyang 2020-09-02 09:02:40 UTC
It shows a warning "Deleting this PVC will also delete upload-cirros Data Volume" while deleting PVC backed by dv.


Note You need to log in before you can comment on or make changes to this bug.